Get transcription by Message ID
Get the recording transcription for a message by passing the message id
GET
/
conversations
/
locations
/
{locationId}
/
messages
/
{messageId}
/
transcription
Get transcription by Message ID
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"mediaChannel": "1",
"sentenceIndex": "1",
"startTime": "34",
"endTime": "45",
"transcript": "This call may be recorded for quality assurance purposes.",
"confidence": "0.5"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Path Parameters
Response
Gives the attached recording transcription to the message
Last modified on March 8, 2026
Was this page helpful?
Get transcription by Message ID
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"mediaChannel": "1",
"sentenceIndex": "1",
"startTime": "34",
"endTime": "45",
"transcript": "This call may be recorded for quality assurance purposes.",
"confidence": "0.5"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}